| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IDataSourceMgr Class Referenceabstract

IDataSourceMgr interface definition. More...

`#include <GaudiKernel/IDataSourceMgr.h>`

Inheritance diagram for IDataSourceMgr:
[legend]
Collaboration diagram for IDataSourceMgr:
[legend]

## Public Member Functions
| DeclareInterfaceID (IDataSourceMgr, 2, 0)
| InterfaceID. More...
virtual bool | isConnected (const std::string &identifier) const =0
| Check if a datasource is connected. More...
virtual StatusCode | connect (const std::string &logon, std::string &identifier)=0
| Connect data source. More...
virtual StatusCode | connect (const std::string &logon)=0
| Connect data source. More...
virtual StatusCode | disconnect (const std::string &identifier)=0
| Disconnect data source. More...
virtual StatusCode | disconnectAll ()=0
| Close all open connections. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

IDataSourceMgr interface definition.

Author
  Markus Frank

Version
  1.0

Definition at line 14 of file IDataSourceMgr.h.

## Member Function Documentation

virtual StatusCode IDataSourceMgr::connect | ( | const std::string & | logon,
|  | std::string & | identifier
| ) |  |
| pure virtual

Connect data source.

Parameters

  mode | Connection mode (READ,CREATE,UPDATE)
  logon | Connection string
  identifier | Logical name (OUTPUT)

Returns
  Status code indicating success or failure.

virtual StatusCode IDataSourceMgr::connect | ( | const std::string & | logon | ) |
| pure virtual

Connect data source.

Parameters

  mode | Connection mode (READ,CREATE,UPDATE)
  logon | Connection string

Returns
  Status code indicating success or failure.

IDataSourceMgr::DeclareInterfaceID | ( | IDataSourceMgr | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IDataSourceMgr::disconnect | ( | const std::string & | identifier | ) |
| pure virtual

Disconnect data source.

Parameters

  identifier | Connection string

Returns
  Status code indicating success or failure.

virtual StatusCode IDataSourceMgr::disconnectAll | ( |  | ) |
| pure virtual

Close all open connections.

virtual bool IDataSourceMgr::isConnected | ( | const std::string & | identifier | ) | const
| pure virtual

Check if a datasource is connected.

Parameters

  identifier | Connection string

Returns
  Status code indicating success or failure.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IDataSourceMgr.h